Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.Treeless.EliminateLiteralPatterns

Description

Converts case matches on literals to if cascades with equality comparisons.

# Documentation

eliminateLiteralPatterns :: TTerm -> TCM TTerm Source #

data BuiltinKit Source #

Constructors

BuiltinKit |

Fields

- nat :: Maybe QName
- int :: Maybe QName

transform :: BuiltinKit -> TTerm -> TTerm Source #